Skip to content

Entitlement Settings

The Entitlement Settings API allows you to read and update entitlement-related settings for resources.

Update the entitlement settings for the resource

Request

Beta
OAuth 2.0 scope:
  • okta.governance.entitlements.manage
Admin roles:
  • APP_ADMIN

Updates entitlement settings for a resource

Path
resourceOrnstringrequired

The resource ORN

Bodyapplication/jsonrequired

The updatable attributes of the entitlement settings

statusstring(entitlement-settings-request-status)required

Specify to opt in (enable) or opt out of (disable) entitlement management for the resource

Enum:"OPTED_IN""OPTED_OUT"
PATCH
/governance/api/v2/resources/{resourceOrn}/entitlement-settings
curl -i -X PATCH \
  'https://okta-subdomain.pixtulate.com/governance/api/v2/resources/{resourceOrn}/entitlement-settings' \
  -H 'Content-Type: application/json' \
  -d '{
    "status": "OPTED_IN"
  }'

Responses

A successful entitlement settings update operation

Bodyapplication/json
statusstring(entitlement-settings-response-status)required

The status showing whether the resource is opted in to (enabled) or out of (disabled) entitlement management

Enum ValueDescription
OPTING_IN

The resource is in the process of opting in to entitlement management

OPTED_IN

The resource is opted in to entitlement management

OPTING_OUT

The resource is in the process of opting out of entitlement management

OPTED_OUT

The resource is opted out of the entitlement management

Response
{ "status": "OPTING_IN" }